# Configuration Files

## 1. Configuration config.lua

{% tabs %}
{% tab title="ESX Legacy" %}
**Config.MaxNameLength** - Maximum character length of first name and last name.

```lua
Config.MaxNameLength = 20 -- Max Name Length.
```

**Config.LimitHeight** - Height limits - `{minimum, maximum}`

```lua
Config.LimitHeight = {120, 220} -- minimum and maximum
```

**Config.LimitYear** - Age limit - `{minimum year, maximum year}`

```lua
Config.LimitYear = {1900, 2010} -- minimum and maximum
```

**Config.EnableBlur** - Is there to be a blurred game background behind the UI

```lua
Config.EnableBlur = true
```

**Config.Multichars** - If you are using a multicharacter system set to true

```lua
Config.Multichars = true
```

**Config.UseCustomSkinCreator** - If you are using a custom character creator such as vms\_charcreator and not using a multicharacter system set true, otherwise set false

```lua
Config.UseCustomSkinCreator = false
```

**Config.UseLatinAlphabetChecker** - If you are using other alphabet than Latin, like Arabic, Japanese, Cyrillic etc. set false

```lua
Config.UseLatinAlphabetChecker = true
```

**Config.UseNationalityOption** - If you want to use nationality option in registration menu set true, otherwise set false

```lua
Config.UseNationalityOption = true
```

**Config.DateFormat** - available date input formats: `dd/mm/yyyy`, `mm/dd/yyyy`, `yyyy/dd/mm`, `yyyy/mm/dd`

```lua
Config.DateFormat = 'dd/mm/yyyy'
```

{% endtab %}

{% tab title="QB-Core" %}
**Config.MaxNameLength** - Maximum character length of first name and last name.

```lua
Config.MaxNameLength = 20 -- Max Name Length.
```

**Config.LimitHeight** - Height limits - `{minimum, maximum}`

```lua
Config.LimitHeight = {120, 220} -- minimum and maximum
```

**Config.LimitYear** - Age limit - `{minimum_year, maximum_year}`

```lua
Config.LimitYear = {1900, 2010} -- minimum and maximum
```

**Config.EnableBlur** - Is there to be a blurred game background behind the UI

```lua
Config.EnableBlur = true
```

**Config.UseLatinAlphabetChecker** - If you are using other alphabet than Latin, like Arabic, Japanese, Cyrillic etc. set false

```lua
Config.UseLatinAlphabetChecker = true
```

**Config.UseNationalityOption** - If you want to use nationality option in registration menu set true, otherwise set false

```lua
Config.UseNationalityOption = true
```

**Config.DateFormat** - available date input formats: `dd/mm/yyyy`, `mm/dd/yyyy`, `yyyy/dd/mm`, `yyyy/mm/dd`

```lua
Config.DateFormat = 'dd/mm/yyyy'
```

{% endtab %}

{% tab title="QBOX" %}
**Config.MaxNameLength** - Maximum character length of first name and last name.

```lua
Config.MaxNameLength = 20 -- Max Name Length.
```

**Config.LimitHeight** - Height limits - `{minimum, maximum}`

```lua
Config.LimitHeight = {120, 220} -- minimum and maximum
```

**Config.LimitYear** - Age limit - `{minimum_year, maximum_year}`

```lua
Config.LimitYear = {1900, 2010} -- minimum and maximum
```

**Config.EnableBlur** - Is there to be a blurred game background behind the UI

```lua
Config.EnableBlur = true
```

**Config.UseLatinAlphabetChecker** - If you are using other alphabet than Latin, like Arabic, Japanese, Cyrillic etc. set false

```lua
Config.UseLatinAlphabetChecker = true
```

**Config.UseNationalityOption** - If you want to use nationality option in registration menu set true, otherwise set false

```lua
Config.UseNationalityOption = true
```

**Config.DateFormat** - available date input formats: `dd/mm/yyyy`, `mm/dd/yyyy`, `yyyy/dd/mm`, `yyyy/mm/dd`

```lua
Config.DateFormat = 'dd/mm/yyyy'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_identity/configuration-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
